--- title: Delete Skill | Luma Agents --- DELETE /v1/skills/{skill\_id} Select code samplecURL (shell:curl) ```js const url = 'https://agents.lumalabs.ai/v1/skills/example'; const options = {method: 'DELETE', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```sh curl --request DELETE \ --url https://agents.lumalabs.ai/v1/skills/example \ --header 'Authorization: Bearer ' ``` - Productionagents.lumalabs.ai/v1/skills/{skill\_id} Delete a skill. Sessions that already pinned one of its versions keep it. ## Authorizations - **[BearerAuth](/api/agents/index.md#bearerauth)** ## Parameters ### Path Parameters **skill\_id** required *Skill Id* string ## Responses ### 204 Successful Response ### 422 Validation Error Media typeapplication/json *HTTPValidationError* object **detail** *Detail* Array\ *ValidationError* object **ctx** *Context* object **input** *Input* **loc** required *Location* Array **msg** required *Message* string **type** required *Error Type* string ##### Examplegenerated ```json { "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ] } ```